import { createApp } from 'vue';
import { createWebHistory, createWebHashHistory, createRouter } from 'vue-router';
import App from './App.vue';
import { createI18n } from 'vue-i18n';
import 'windi.css';
import 'toastify-js/src/toastify.css';
import * as keys_en from './locales/en.json';
import * as keys_de from './locales/de.json';

const messages = {
	en: keys_en,
	de: keys_de
};
const i18n = createI18n({
	locale: 'de',
	fallbackLocale: 'en',
	messages
});

// ---------------
const Home = import('./components/Home.vue');
const Register = import('./components/Register.vue');
const Profile = import('./components/Profile.vue');
//
const router = createRouter({
	// history: createWebHashHistory(),
	history: createWebHistory(),
	routes: [
		{ path: '/', component: Home },
		{ path: '/register', component: Register },
		{ path: '/profile', component: Profile }
	]
});
// ---------------
createApp(App).use(i18n).use(router).mount('#app');
